Skip to main content
GET
/
tax
/
customers
/
{customer_id}
cURL
curl --request GET \
  --url https://api.numeralhq.com/tax/customers/{customer_id} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.numeralhq.com/tax/customers/{customer_id}"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.numeralhq.com/tax/customers/{customer_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "cus_123456789",
  "object": "tax.customer",
  "reference_customer_id": "20506",
  "name": "Customer Name",
  "email": "customer@example.com",
  "is_tax_exempt": true
}
{
"error": {
"error_code": "missing_field",
"error_message": "Field is required",
"error_meta": {
"field": "path.to.fieldname",
"expected": "string",
"received": "undefined"
}
}
}

Get Customer Endpoint (2026-03-01)

Retrieve the details of a specific customer using its ID.
Remember to include the X-API-Version: 2026-03-01 header in your request to use this API version.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

customer_id
string
required

The ID of the customer to retrieve

Query Parameters

id_type
enum<string>
default:id

The type of identifier provided in the path. Use id (the default) to look up by the Numeral customer ID, or reference_customer_id to look up by your own reference customer ID.

Available options:
id,
reference_customer_id

Response

Customer details

id
string

The ID of the customer

Example:

"cus_123456789"

object
string

The type of object: tax.customer

Example:

"tax.customer"

reference_customer_id
string

The ID of the customer in your system

Example:

"20506"

name
string

The name of the created customer

Example:

"Customer Name"

email
string

The email of the created customer

Example:

"customer@example.com"

is_tax_exempt
boolean

If true, all POST /tax/calculations sold to this customer will return $0 in tax owed. The default value is false.

Example:

true